<?
## ImageTool can either be "int" (internal, using gd) or "ext"
## (external, typically ImageMagick).  I recommended "ext", but
## if you're having problems with thumbnail creation, try "int".
$ImageTool	= "ext";

## Define $sitehome if you wish to have a link to you main site included
## in the navigation
#$sitehome	= "http://phpix2.sourceforge.net/";

## Set this to 1 if you want the albums link in the upper bar.
## This could be unset if you're running PHPix for multiple users.
## Running the script without any arguments will still give the albums list
$show_albums    = 1;

## Set this to enable the multiuser code on your machine. For this to work
## you need to take the EUID checks out of convert.sh, and take the SUID
## bit off (for security), then chown the script and directories to the
## user your WWW daemon runs as.
##
## orca:#> chmod u-s convert*
## orca:#> chown -R www.www *
##
## you need to be root, or at least logged in as the www user to do this.
$enable_users = 0;

## For multiuser code, this is the directory under their home dir that their
## web pages are normally stored in. 
$public_html = "public_html";

## EXIF Support requires PHP4 with exif support compiled
$show_exif	= 0;

## How many thumbnails to show on an index page
$items_per_page	= 12;

## How many colums to show on an index page
$display_cols	= 4;

## Size of a thumbnail
$thumb_size	= 100;

## The default size of a viewed image
$default_size	= 512;

## What sizes are available for scaling
$viewsizes	= array(512,640,800,1024,1280,"Original");

## A prefix to display before every page title
$titleprefix	= "PHPix: ";

##
## You shouldn't need to change anything below here, but you might need
## to if you want to really dig in to things
##

## Paths to the various parts of PHPix.
$albumpath	= "index.php";
$viewpath	= "view.php";
$modifypath	= "modify.php";

## The URL to a picture of an album; leave blank if you don't want one
$album_img = "directory.jpg";

## The "unknown image type" image; leave blank if you don't want one
$unknown_url = "unknown.gif";

## Path to the conversion program
$convert	= "./convert";

## Where the pictures are kept
$pix_base	= "albums";

## Where to cache things
$cache_base	= "cache";

## Where text descriptions are kept.  Some like this in albums, others
## don't.  You get to decide.
$desc_base      = "albums";
?>
