<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<?
  /* PHPix photo album
   * Copyright (C) 2001 Neale Pickett <neale@woozle.org>
   * Copyright (C) 2000 Robert A. Holak <conefish@sourceforge.net>
   *
   * This program is free software; you can redistribute it and/or
   * modify it under the terms of the GNU General Public License as
   * published by the Free Software Foundation; either version 2 of
   * the License, or (at your option) any later version.
   *
   * This program is distributed in the hope that it will be useful,
   * but WITHOUT ANY WARRANTY; without even the implied warranty of
   * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   * GNU General Public License for more details.
   *
   * You should have received a copy of the GNU General Public License
   * along with this program; if not, write to the Free Software
   * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   * 02111-1307  USA
   */

	
  include("common.inc");
  if (! $album) {
    $albumname = "Albums";
  } else {
    $albumname = $album;
  }
?>

<html>
  <head>
    <title><? print "${titleprefix}${albumname}"; ?></title>
<?
    if ($stylesheet) {
      print "<link rel=\"stylesheet\" href=\"$stylesheet\">\n";
    } else {
      print "<link rel=\"stylesheet\" href=\"".$htmlbase."style.css\">\n";
    }
    StandardLinks("album",$album,$start);
?>
  </head>
  <body>
<?
    $IE = eregi("MSIE",$HTTP_USER_AGENT) == 1;
    if ($IE) {
      print "<div class=\"contentIE\">\n";
    } else {
      print "<div class=\"content\">\n";
    }
?>
      <table width="100%" cellpadding="2" cellspacing="0" border="0" class="navbar">
        <tr class="navbar">
          <td class="navbar">
            <? NavBar("album", $album, $start); ?>
          </td>
	  <td class="location">
<?
    
    $thisbase = $htmlbase.$albumpath.$userstring."album=" . urlencode($album) . "&amp;dispsize=$dispsize";

    if ($start > 0) {
      print "<a href='${thisbase}&amp;start=" . max(0, $start - $items_per_page) . "' class='navbar' id='prev'>&lt;--</a> ";
    }
  if ($totalfiles) {
    print "Images " .($start + 1) . "-" . min($totalfiles, $start + $items_per_page) . " of " . $totalfiles . "\n";
  } else {
    print "No images";
  }

    # XXX: Gah, hack, bleh.
    for ($x = $start; $x < $start + $items_per_page and $filelist[$x]; $x++);
    if ($totalfiles > $x) {
      print "<a href='${thisbase}&amp;start=$x' class='navbar' id='next'> --&gt;</a>";
    }
?>
          </td>
        </tr>
      </table>

<?
        $descfile = $realdescbase.$album."__desc.txt";

        if (file_exists($descfile)) {
                print "<div class='description'>\n";
                $fd = fopen($descfile, "r");
                while (! feof($fd)) {
                        $buffer = fgets($fd, 4096);
                        print $buffer;
                }
                fclose($fd);
                print "</div>\n";
        }
?>

      <table class="body" width="100%">
<?
  if (($start == 0) and is_array($dirlist)) {
    print "<tr class='album'>\n";
    $thisdir = $album;
    if ($thisdir) {
      $thisdir .= "/";
    }
    reset($dirlist);
    $album_img_size = GetImageSize($album_img);
    while (list(, $dirname) = each($dirlist)) {
      # XXX: Look for a user-provided thumbnail in the cache
       DisplayImage($htmlbase.$albumpath.$userstring."album=" . urlencode("${thisdir}${dirname}") . "&amp;dispsize=$dispsize&amp;start=0", $htmlbase.$album_img, $album_img_size[0], $album_img_size[1], $dirname, 'album');
    }
    PadTable("album");
  }

  if (is_array($filelist)) {
    print "<tr class='body'>\n";

    $unknown_url_size = GetImageSize($unknown_url);
    
    for ($x = $start; $x < $start + $items_per_page and $filelist[$x]; $x++) {
      $file = $filelist[$x];

      $sourcefile = $realpixbase.$album."/".$file;
      $sourcehttp = $htmluserbase."$pix_base/$album/$file";
      $thumbpic = "${file}__scaled_${thumb_size}.jpg";

      $thumbfile = $cache_base."/".$usercachebase.$album."/".$thumbpic;

      $ret = CreateImage($thumb_size, $sourcefile, $thumbfile);
      if ($ret == -1) {
      	$url = $htmlbase.$unknown_url;
		$thumbsize = $unknown_url_size;
      } else {
		$url = urlencode_url($htmlbase.$thumbfile);
		$thumbsize = GetImageSize($thumbfile);
      }
      
      DisplayImage($htmlbase.$viewpath.$userstring."album=" . urlencode($album) . "&amp;pic=" . urlencode($file) . "&amp;dispsize=$dispsize&amp;start=$start&amp;picindex=$x", $url, $thumbsize[0], $thumbsize[1], $file);
    }
    PadTable();
  }
?>

      </table>

<? if ($totalfiles > $items_per_page) {
?>
      <!-- XXX: Take out the align tag if Netscape'll letcha! -->
      <table class="footer" align="center">
	<tr class="footer">
          <td class='footer-pagedesc'>Album page:</td>
<?
    # XXX: arrow icons, like google
    if ($start > 0) {
      print "<td class='footer-back'>";
      print "<a href='${thisbase}&amp;start=" . max(0, $start - $items_per_page) . "' class='footer-back'>&lt;--</a>";
      print "</td>\n";
    }
    for ($i = max(0, $start - 10 * $items_per_page); $i < min($totalfiles,$start + 10 * $items_per_page); $i += $items_per_page) {
      if (($start >= $i) and ($start < $i + $items_per_page)) {
        print "<td class='footer-this'>";
        print ($i/$items_per_page) + 1;
        print "</td>\n";
      } else {
        print "<td class='footer-jump'>";
        print "<a href='${thisbase}&amp;start=$i' class='footer-jump'>" . (($i/$items_per_page) + 1) . "</a>";
        print "</td>\n";
      }
    }

    if ($totalfiles > $x) {
      print "<td class='footer-next'>";
      print "<a href='${thisbase}&amp;start=$x' class='footer-next'>--&gt;</a>";
      print "</td>\n";
    }
?>
	</tr>
      </table>
<?
  }
?>
      <div class="generated">
	Generated by <a href="http://phpix2.sourceforge.net/">PHPix <? print $version; ?></a>
      </div>
    </div>
  </body>
</html>

